Bug 1257196 - MSSQL connection invalidates Kerberos ticket (TGT)
MSSQL connection invalidates Kerberos ticket (TGT)
Status: CLOSED ERRATA
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Le Sage
Juraj Duráni
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-26 09:02 EDT by Juraj Duráni
Modified: 2015-09-29 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The MSSQL JDBC connection invalidates Kerberos tickets because it calls the GSSCredentials.dispose() method during close(). The Kerberos ticket (TGT) is shared among connections which means that the first closed connection in EAP's connection pool invalidates TGT and every subsequent attempt to obtain a new connection fails. This is cause by the MSSQL JDBC driver' architecture. To wrk around this issue, set the datasource's "idle-timeout-minutes" property to a high value.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-29 19:40:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juraj Duráni 2015-08-26 09:02:49 EDT
The MSSQL JDBC connection calls GSSCredentials.dispose() during close(). The TGT 
is shared among connections. It means, that the first closed connection in EAP's connection pool invalidates TGT and every next try to get new connection fails. 
This is cause by architecture of the MSSQL JDBC driver.

Related BZ for EAP: https://bugzilla.redhat.com/show_bug.cgi?id=1097276
Comment 2 David Le Sage 2015-09-02 22:34:42 EDT
Release note added.

Note You need to log in before you can comment on or make changes to this bug.